Bug 62262 - No way for multiple applications to coordinate CD access
No way for multiple applications to coordinate CD access
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-28 16:55 EST by tom georgoulias
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description tom georgoulias 2002-03-28 16:55:36 EST
Description of Problem:
System completely locks up while burning CDRs with xcdroast and having
nautilus/magicdev simultaneously try to automount the same blank CDR that is
being burned.

From the syslog files, it appears that Nautilus is continuously attempting to
automount the CD while the CD-RW is in use by xcdroast, failing each time, and
then (my best guess here) resetting the CD-RW.  

Version-Release number of selected component (if applicable):
[tomg@gemini sysadmin]$ rpm -q kernel
kernel-2.4.9-31

Other (possibly) relevant components:

[tomg@gemini sysadmin]$ rpm -q gnome-vfs
gnome-vfs-1.0.3.90-1
[tomg@gemini sysadmin]$ rpm -q nautilus
nautilus-1.0.6-3

magicdev-0.3.6-2
My CD burning commands (mkisofs, cdrecord, etc.) from cdrtools-1.10-4.src.rpm.

How Reproducible:
Can reproduce every time.

Steps to Reproduce:
1. Log into GNOME with CD peripheral settings for automount, auto-run, & open
file manager turned on.
2. Start xcdroast
3. Insert blank CD when prompted by xcdroast and begin burning process

Actual Results:
System locks up at various stages of the burn, presumably because it is trying
to mount the CD while simultaneously writing to it.

Expected Results:
System should burn CD w/o any lock up, not try to mount it.

Additional Information:

Syslog message entries for the problem in question.
Mar 27 22:32:56 gemini kernel: cdrom: This disc doesn't have any tracks
I recognize!
Mar 27 22:33:28 gemini last message repeated 16 times
Mar 27 22:33:49 gemini last message repeated 10 times
Mar 27 22:33:50 gemini su(pam_unix)[1156]: session opened for user root
by tomg(uid=500)
Mar 27 22:33:51 gemini kernel: cdrom: This disc doesn't have any tracks
I recognize!
Mar 27 22:33:55 gemini last message repeated 2 times
Mar 27 22:33:55 gemini modprobe: modprobe: Can't locate module
char-major-97
Mar 27 22:33:55 gemini last message repeated 3 times
Mar 27 22:33:57 gemini kernel: cdrom: This disc doesn't have any tracks
I recognize!
Mar 27 22:33:58 gemini kernel: sr0: scsi3-mmc drive: 40x/40x writer
cd/rw xa/form2 cdda tray

I will be glad to provide any further info required for debugging.
Comment 1 tom georgoulias 2002-03-28 19:50:48 EST
More test results:
1. Turned off automount options for CD
2. Loaded blank CDROM in drive and watched /var/log/messages
 - kernel kept trying to figure out what kind of disc was loaded
 - reset CD drive after multiple failures, but system didn't lockup
3. After letting step 2 go on for a while, started up xcdroast and started
burning disc.  System locked shortly thereafter.

Here is the syslog output:

Mar 28 18:20:01 gemini kernel: Attached scsi CD-ROM sr0 at scsi0, channel 0, id
0, lun 0
Mar 28 18:20:01 gemini kernel: sr0: scsi3-mmc drive: 40x/40x writer cd/rw
xa/form2 cdda tray
Mar 28 18:20:01 gemini kernel: cdrom: This disc doesn't have any tracks I recognize!
Mar 28 18:20:33 gemini last message repeated 16 times
Mar 28 18:21:35 gemini last message repeated 31 times
Mar 28 18:22:36 gemini last message repeated 30 times
Mar 28 18:23:38 gemini last message repeated 31 times
Mar 28 18:24:40 gemini last message repeated 31 times
Mar 28 18:25:41 gemini last message repeated 30 times
Mar 28 18:26:43 gemini last message repeated 31 times
Mar 28 18:27:45 gemini last message repeated 31 times
Mar 28 18:28:47 gemini last message repeated 31 times
Mar 28 18:29:48 gemini last message repeated 24 times
Mar 28 18:30:00 gemini last message repeated 6 times
Mar 28 18:30:02 gemini kernel: Attached scsi CD-ROM sr0 at scsi0, channel 0, id
0, lun 0
Mar 28 18:30:02 gemini kernel: sr0: scsi3-mmc drive: 40x/40x writer cd/rw
xa/form2 cdda tray
Mar 28 18:30:02 gemini kernel: cdrom: This disc doesn't have any tracks I recognize!
Mar 28 18:30:34 gemini last message repeated 16 times
Mar 28 18:31:36 gemini last message repeated 31 times
Mar 28 18:32:37 gemini last message repeated 30 times
Mar 28 18:32:41 gemini last message repeated 2 times
Mar 28 18:32:42 gemini su(pam_unix)[1532]: session opened for user root by
tomg(uid=500)
Mar 28 18:32:43 gemini kernel: cdrom: This disc doesn't have any tracks I recognize!
Mar 28 18:32:47 gemini last message repeated 2 times
Mar 28 18:32:47 gemini modprobe: modprobe: Can't locate module char-major-97
Mar 28 18:32:47 gemini last message repeated 3 times
Mar 28 18:32:49 gemini kernel: cdrom: This disc doesn't have any tracks I recognize!
Mar 28 18:33:21 gemini last message repeated 16 times
Mar 28 18:34:23 gemini last message repeated 31 times
Mar 28 18:35:24 gemini last message repeated 27 times
Comment 2 Havoc Pennington 2002-03-28 21:57:11 EST
Context:

> File it against the kernel perhaps, the kernel package or other
> shared-among-Linux-distributions low-level package should come with a
> standard way to lock the CD device. (It can be in userspace rather
> than a dedicated system call, but it has to be standardized below the
> GUI level or things like cdrecord won't ever use it. Maybe the missing
> thing is just a documented convention, rather than a software
> feature.)

This cannot be solved on the desktop/GUI level, because cdrecord etc. will 
not use a feature on that level. Some cross-distribution system-level feature is
required.
Comment 3 tom georgoulias 2002-03-29 00:47:34 EST
OK, now we're getting somewhere!  I've done some more testing and here's what
I've found:

My old 2.4.9-21.i686 kernel (note the i686 arch) doesn't have this bug.  I was
able to burn a CD w/o any problems and the only difference between what I did
now and my usual set up is the fact that my CD peripheral settings are still
turned off.  After that worked, I reset the CD automount settings back the way
they used to be (automount on & open file manager) and successfully burned
another CD w/o problems.

Before this bug showed up for me, I was able to burn CDs using the
2.4.9-31.athlon (note the athlon arch on this one) and I was running a Duron 750
CPU.  Over the weekend I replaced the Duron with an Athlon 1333 Thunderbird and
this bug seems to have shown up shortly thereafter.  I think all the signs  are
pointing to a CPU, chipset, or athlon specific kernel problem.  I am running my
Athlon on a Epox 8kta3 motherboard, which uses the KT133A & Via 686B  chipset.

Now I am going to download a 2.4.9-31.i686 kernel and give that a whirl...
Comment 4 tom georgoulias 2002-04-02 11:57:56 EST
I was able to burn CDs using a 2.4.9-31.i686 kernel with CD automounting turned
off.  However, my rpmdb seems to have gone south during all of my testing and I
cannot erase or freshen packages anymore.  (see this for more details:
https://listman.redhat.com/mailman/private/rpm-list/2002-April/014857.html) 
Until I get the rpm situation under control, I won't be able to install new RPMs
to troubleshoot this bug report any further.
Comment 5 tom georgoulias 2002-04-14 11:21:22 EDT
I tracked down the source of my Athlon kernel problem.  One of my RAM DIMMs was
damaged and corrupted my rpmdb when I tried to rebuild the db after a different
rpm issue.  I replaced the DIMM, fixed the rpmdb,  and am running the
2.4.9-31.athlon kernel and burning CDs without any lock up.  THe automount
feature is still turned off though.
Comment 6 tom georgoulias 2002-06-02 14:13:50 EDT
I have not been able to reproduce this bug, so I think the bad memory module was
the cause.  I've since upgraded to RH 7.3 and haven't had any problems with the
2.4.18-4 athlon kernel.
Comment 7 Bugzilla owner 2004-09-30 11:39:28 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.